DecimalFormatSymbols
Date: 2016-06-24

java.text

## Class DecimalFormatSymbols

- java.lang.Object
- - java.text.DecimalFormatSymbols

- All Implemented Interfaces:
    Serializable, Cloneable

      public final class DecimalFormatSymbols
      extends Object
      implements Serializable, Cloneable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecimalFormatSymbols()`
    `DecimalFormatSymbols(Locale var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `Currency` | `getCurrency()`
    `String` | `getCurrencySymbol()`
    `char` | `getDecimalSeparator()`
    `char` | `getDigit()`
    `char` | `getGroupingSeparator()`
    `String` | `getInfinity()`
    `String` | `getInternationalCurrencySymbol()`
    `char` | `getMinusSign()`
    `char` | `getMonetaryDecimalSeparator()`
    `String` | `getNaN()`
    `char` | `getPatternSeparator()`
    `char` | `getPercent()`
    `char` | `getPerMill()`
    `char` | `getZeroDigit()`
    `void` | `setCurrency(Currency var0)`
    `void` | `setCurrencySymbol(String var0)`
    `void` | `setDecimalSeparator(char var0)`
    `void` | `setDigit(char var0)`
    `void` | `setGroupingSeparator(char var0)`
    `void` | `setInfinity(String var0)`
    `void` | `setInternationalCurrencySymbol(String var0)`
    `void` | `setMinusSign(char var0)`
    `void` | `setMonetaryDecimalSeparator(char var0)`
    `void` | `setNaN(String var0)`
    `void` | `setPatternSeparator(char var0)`
    `void` | `setPercent(char var0)`
    `void` | `setPerMill(char var0)`
    `void` | `setZeroDigit(char var0)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecimalFormatSymbols

          public DecimalFormatSymbols()

    - #### DecimalFormatSymbols

          public DecimalFormatSymbols(Locale var0)

  - ### Method Detail

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### getCurrency

          public Currency getCurrency()

    - #### getCurrencySymbol

          public String getCurrencySymbol()

    - #### getDecimalSeparator

          public char getDecimalSeparator()

    - #### getDigit

          public char getDigit()

    - #### getGroupingSeparator

          public char getGroupingSeparator()

    - #### getInfinity

          public String getInfinity()

    - #### getInternationalCurrencySymbol

          public String getInternationalCurrencySymbol()

    - #### getMinusSign

          public char getMinusSign()

    - #### getMonetaryDecimalSeparator

          public char getMonetaryDecimalSeparator()

    - #### getNaN

          public String getNaN()

    - #### getPatternSeparator

          public char getPatternSeparator()

    - #### getPerMill

          public char getPerMill()

    - #### getPercent

          public char getPercent()

    - #### getZeroDigit

          public char getZeroDigit()

    - #### setCurrency

          public void setCurrency(Currency var0)

    - #### setCurrencySymbol

          public void setCurrencySymbol(String var0)

    - #### setDecimalSeparator

          public void setDecimalSeparator(char var0)

    - #### setDigit

          public void setDigit(char var0)

    - #### setGroupingSeparator

          public void setGroupingSeparator(char var0)

    - #### setInfinity

          public void setInfinity(String var0)

    - #### setInternationalCurrencySymbol

          public void setInternationalCurrencySymbol(String var0)

    - #### setMinusSign

          public void setMinusSign(char var0)

    - #### setMonetaryDecimalSeparator

          public void setMonetaryDecimalSeparator(char var0)

    - #### setNaN

          public void setNaN(String var0)

    - #### setPatternSeparator

          public void setPatternSeparator(char var0)

    - #### setPerMill

          public void setPerMill(char var0)

    - #### setPercent

          public void setPercent(char var0)

    - #### setZeroDigit

          public void setZeroDigit(char var0)